Quick installer fail when ansible package is pre installed.

Document created by prasoon Employee on Feb 8, 2016
Version 1Show Document
  • View in full screen mode

Author: Prasoon Keloth

 

Original Publication Date: December 10, 2014

 

Issue:

When installing mapr software using the Quick installer tool, the process fails with the messages below :

2014-11-21 17:40:57,928 callbacks 54 [ERROR]: fatal: [host1] => imported module support code does not exist at /opt/mapr-installer/build/installer/lib/python2.7/site-packages/ansible/module_utils/splitter.py 
2014-11-21 17:40:57,928 runner 285 [ERROR]: Host: host1 is unreachable
2014-11-21 17:40:57,928 common 184 [ERROR]: Control Nodes have failures. Please fix the failures and re-run the installation. For more information refer to the installer log at /opt/mapr-installer/var/mapr-installer.log

 

Solution:

 

This happens when the system has the ansible package installed from Red Hat's epel yum repository.

As a workaround, remove the package from the system using

yum remove ansible

and re-run the Quick Installer.

Attachments

    Outcomes